Bug 622904 - Review Request: rubygem-state_machine - Adds support for creating state machines for attributes on any Ruby class
Summary: Review Request: rubygem-state_machine - Adds support for creating state machi...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-10 18:29 UTC by Guillermo Gómez
Modified: 2011-03-04 05:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 19:44:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mastahnke: fedora-review+
a.badger: fedora-cvs+


Attachments (Terms of Use)

Description Guillermo Gómez 2010-08-10 18:29:47 UTC
Spec URL: http://gomix.fedorapeople.org/rubygem-state_machine/rubygem-state_machine.spec
SRPM URL: http://gomix.fedorapeople.org/rubygem-state_machine/rubygem-state_machine-0.9.4-1.fc13.src.rpm
Description: Adds support for creating state machines for attributes on any
           : Ruby class

$ rpmlint -i SPECS/rubygem-state_machine.spec SRPMS/rubygem-state_machine-0.9.4-1.fc13.src.rpm 
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Mamoru TASAKA 2010-08-10 18:37:01 UTC
rubygem-state_machine is already in Fedora.

Is it correct that this review request is for recheck of 
this, because it is long (actually almost one year) since
the last rubygem-state_machine is built on koji?

Comment 2 Guillermo Gómez 2010-08-10 19:16:58 UTC
I understand that it has to be treated as a new pkg since the last update its one year old.

quote

Re-review required for older packages
If a package was last updated more than three months ago (running cvs log -r HEAD *.spec can show you this information), you will need to submit a review request and have the package approved by a reviewer as if it were new to Fedora.

am i getting it wrong ? 

http://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers

Comment 3 Mamoru TASAKA 2010-08-10 19:44:33 UTC
Well, just a confirmation, thanks.

Comment 4 Michael Stahnke 2010-08-10 22:40:04 UTC
Macro %sitelib is not used anywhere.  It can be removed.

Package builds in mock without issues.

rpmlint lists normal warnings about macros.  

I have a small wish that there was a -doc package as 573 files of 737 are documentation, but it doesn't take up that much space.  

In some of my packages %{geminstdir}/test is marked as %doc and not in others.  I am guessing we need to agree on this one.  I'll ask on the list. 

This package looks like it is in pretty good shape.

Comment 5 Guillermo Gómez 2010-08-15 19:26:07 UTC
New spec and srpm, -doc pkg produced.

http://gomix.fedorapeople.org/rubygem-state_machine/rubygem-state_machine.spec

http://gomix.fedorapeople.org/rubygem-state_machine/rubygem-state_machine-0.9.4-2.fc13.src.rpm

$ rpmlint -i rubygem-state_machine.spec rubygem-state_machine-0.9.4-2.fc13.src.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

wish granted :)

Comment 6 Guillermo Gómez 2010-08-20 14:14:56 UTC
Any news on this review? :)

Comment 7 Michael Stahnke 2010-08-20 14:41:57 UTC
rubygem-state_machine-doc.noarch: W: summary-ended-with-dot C Documentation files, rdoc, ri, examples and tests.

Just fix that when you import the package. 

Package APPROVED.

Comment 8 Guillermo Gómez 2010-08-20 15:53:25 UTC
Thank u Michael... :)

updates requests done for updates-testing with the fix

https://admin.fedoraproject.org/updates/search/rubygem-state_machine

Comment 9 Mamoru TASAKA 2010-09-01 17:47:20 UTC
What is the status of this bug? Can this bug be closed?

Comment 10 Guillermo Gómez 2010-09-01 19:44:10 UTC
Thanks Mamoru, closed ! Its on F12 and F13 stable already.

Comment 11 Guillermo Gómez 2011-02-03 20:42:32 UTC
Package Change Request
======================
Package Name: rubygem-state_machine
New Branches: el5 el6
Owners: gomix

Comment 12 Guillermo Gómez 2011-02-08 21:37:24 UTC
New Package SCM Request
=======================
Package Name: rubygem-state_machine
Short Description: Adds support for creating state machines for attributes on any Ruby class
Owners: gomix
Branches: el6 el5
InitialCC: gomix

Comment 13 Toshio Ernie Kuratomi 2011-02-11 18:36:14 UTC
Git done.

Comment 14 Fedora Update System 2011-02-15 20:50:36 UTC
rubygem-state_machine-0.9.4-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/rubygem-state_machine-0.9.4-6.el5

Comment 15 Fedora Update System 2011-02-15 21:13:29 UTC
rubygem-state_machine-0.9.4-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-state_machine-0.9.4-6.el6

Comment 16 Fedora Update System 2011-03-04 05:54:36 UTC
rubygem-state_machine-0.9.4-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-03-04 05:54:49 UTC
rubygem-state_machine-0.9.4-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.